Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Interface IModel

All Known Implementing Classes:
  Model

public interface IModel

Method Summary
`void` | `addStatement(String pred, String subj, Object obj)` To enter a statement with a literal or a string representing the resource uri of the object.
`boolean` | `contains(String URI)` Returns a boolean weather the resource having the specified URI is contained by the model.
`boolean` | `contains(String pred, String sub, Literal obj)` Returning a boolean whether the statement contained by the model.
`boolean` | `contains(String pred, String sub, String obj)` Returning a boolean whether the statement contained by the model.
`void` | `dump()` Dump the content of the model and print it to the outputfile defined in RDF_PAV/Main.
`void` | `fetch_all(ArrayList ex_ns, parser par)` Will be called by the parser if he reached the EOF of the current file.
`void` | `fetch()` Try to get all information of RDF_Properties and RDF_Classes we entered to the Model.
`void` | `fetch(String URI)` In the case the URI belongs to a namespace, we try to get the information about URI and enter them to our basis_model.
`String` | `genSysID()` Whenever a system-generated identifier is needed for statements or nodes.
`String` | `getBaseURI()` Get the base URI for the model.
`Collection` | `getClasses()` Returning a Collection of all classes contained by the model.
`Collection` | `getContainers()` Returning a Collection of all RDF containers contained in the model.
`Collection` | `getDataResources()` Returns a Collection of all resources that don't belong to the basic RDF types i.e., rdfs:Class, rdf:Property, rdf:Container and rdf:Statement.
`Collection` | `getNodes()` Returning a Collection containing all the values of the existing HashMap.
`Collection` | `getProperties()` Returning a Collection of all properties contained by the model.
`Collection` | `getReifiedStatements()` Returning a Collection of all reified statements contained in the model.
`Resource` | `getResource(String URI)` Returns the resource with the specified URI.
`ArrayList` | `getStatements()` Returns the statements comprising the model.
`int[]` | `getStatistics()`
`boolean` | `getverbose()`
`void` | `infer()` To infer the type of the given classname for all instances of its subclasses (recursive).
`int` | `printStatements()` Prints the statements of this model.
`void` | `printStatistics()` Prints the statistic containing the number of triples, classes, properties, containers, refeid statements and resources to the output stream declared in Output.
`void` | `setBaseURI(String bURI)` Set the base URI for the model.
`void` | `setverbose(boolean b)` Indicates whether messages about the actions performed by the VRP will be reported.

Method Detail

### setverbose

    public void setverbose(boolean b)

  Indicates whether messages about the actions performed by the VRP will be reported.

### getverbose

    public boolean getverbose()

### addStatement

    public void addStatement(String pred,
                             String subj,
                             Object obj)

  To enter a statement with a literal or a string representing the resource uri of the object.

### getNodes

    public Collection getNodes()

  Returning a Collection containing all the values of the existing HashMap.

### contains

    public boolean contains(String URI)

  Returns a boolean weather the resource having the specified URI is contained by the model.

### getResource

    public Resource getResource(String URI)

  Returns the resource with the specified URI.

### getClasses

    public Collection getClasses()

  Returning a Collection of all classes contained by the model.

### getProperties

    public Collection getProperties()

  Returning a Collection of all properties contained by the model.

### getReifiedStatements

    public Collection getReifiedStatements()

  Returning a Collection of all reified statements contained in the model.

### getContainers

    public Collection getContainers()

  Returning a Collection of all RDF containers contained in the model.

### getDataResources

    public Collection getDataResources()

  Returns a Collection of all resources that don't belong to the basic RDF types i.e., rdfs:Class, rdf:Property, rdf:Container and rdf:Statement.

### contains

    public boolean contains(String pred,
                            String sub,
                            String obj)

  Returning a boolean whether the statement contained by the model.

### contains

    public boolean contains(String pred,
                            String sub,
                            Literal obj)

  Returning a boolean whether the statement contained by the model.

### fetch_all

    public void fetch_all(ArrayList ex_ns,
                          parser par)

  Will be called by the parser if he reached the EOF of the current file. The explicit stated namespaces are inside the Array List. The idea is to include everything in advance and do not allow to fetch during validation to provide a determinitic result of the validator.

### fetch

    public void fetch()

  Try to get all information of RDF_Properties and RDF_Classes we entered to the Model.

### fetch

    public void fetch(String URI)

  In the case the URI belongs to a namespace, we try to get the information about URI and enter them to our basis_model. Moved from Validator to the Model 03. Aug. 2001 by KT

### infer

    public void infer()

  To infer the type of the given classname for all instances of its subclasses (recursive). Will be used as an optional feature, at the beginning only for rdfs:Class and rdf:Property only.

### getStatements

    public ArrayList getStatements()

  Returns the statements comprising the model.

### printStatements

    public int printStatements()

  Prints the statements of this model.

### getStatistics

    public int[] getStatistics()

### printStatistics

    public void printStatistics()

  Prints the statistic containing the number of triples, classes, properties, containers, refeid statements and resources to the output stream declared in Output.

### genSysID

    public String genSysID()

  Whenever a system-generated identifier is needed for statements or nodes. (Should this generate a URI instead? Right now you can use the getBaseURI() and combine it with the generated System ID to get a URI for some internal model resources).

### setBaseURI

    public void setBaseURI(String bURI)

  Set the base URI for the model.

### getBaseURI

    public String getBaseURI()

  Get the base URI for the model.

### dump

    public void dump()

  Dump the content of the model and print it to the outputfile defined in RDF_PAV/Main.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD